%global module_version 1.2911

Summary:        BSD process resource limit and priority functions
Name:           perl-BSD-Resource
Version:        1.291.100
Release:        2%{?dist}
License:        (LGPLv2 or Artistic 2.0) and (GPL+ or Artistic)
URL:            https://metacpan.org/release/BSD-Resource
Source0:        https://cpan.metacpan.org/authors/id/J/JH/JHI/BSD-Resource-%{module_version}.tar.gz

BuildRequires: perl(Exporter) perl(strict) perl(Test::More) perl(Test::Pod) perl(Test::Pod::Coverage)
BuildRequires: perl(File::Basename) perl(vars) perl(AutoLoader) perl(Carp) perl(DynaLoader)
BuildRequires: perl-generators perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: findutils gcc make perl-interpreter perl-devel

Requires:       perl-libs

%{?perl_default_filter}

%description
A module providing an interface for testing and setting process limits
and priorities.

%prep
%setup -q -n BSD-Resource-%{module_version} 

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendorarch}/BSD/
%{perl_vendorarch}/auto/BSD/
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.291.100-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 cunshunxia <cunshunxia@tencent.com> - 1.291.100-1
- initial build
